使用vue-cli报错,搞不清求解

本来好好的,我切换了下分支,就报错,然后我再切换回来依然报错,以下是日志

 info it worked if it ends with ok
1 verbose cli [ 'C:\\Program Files\\nodejs\\node.exe',
1 verbose cli   'C:\\Users\\Administrator\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js',
1 verbose cli   'run',
1 verbose cli   'dev' ]
2 info using npm@4.4.1
3 info using node@v6.9.5
4 verbose run-script [ 'predev', 'dev', 'postdev' ]
5 info lifecycle myblog@1.0.0~predev: myblog@1.0.0
6 silly lifecycle myblog@1.0.0~predev: no script for predev, continuing
7 info lifecycle myblog@1.0.0~dev: myblog@1.0.0
8 verbose lifecycle myblog@1.0.0~dev: unsafe-perm in lifecycle true
9 verbose lifecycle myblog@1.0.0~dev: PATH: C:\Users\Administrator\AppData\Roaming\npm\node_modules\npm\bin\node-gyp-bin;D:\web-developer\myblog\node_modules\.bin;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Program Files\WIDCOMM\Bluetooth Software\;C:\Program Files\WIDCOMM\Bluetooth Software\syswow64;C:\Java\jdk1.7.0_45\bin;D:\tools\maven\apache-maven-3.1.1\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\nodejs\;C:\Ruby22-x64\bin;D:\php\php5.5;d:\Program Files (x86)\Diffuse;C:\Users\Administrator\AppData\Local\atom\bin;C:\Users\Administrator\AppData\Roaming\npm
10 verbose lifecycle myblog@1.0.0~dev: CWD: D:\web-developer\myblog
11 silly lifecycle myblog@1.0.0~dev: Args: [ '/d /s /c', 'node build/dev-server.js' ]
12 silly lifecycle myblog@1.0.0~dev: Returned: code: 1  signal: null
13 info lifecycle myblog@1.0.0~dev: Failed to exec dev script
14 verbose stack Error: myblog@1.0.0 dev: `node build/dev-server.js`
14 verbose stack Exit status 1
14 verbose stack     at EventEmitter.<anonymous> (C:\Users\Administrator\AppData\Roaming\npm\node_modules\npm\lib\utils\lifecycle.js:279:16)
14 verbose stack     at emitTwo (events.js:106:13)
14 verbose stack     at EventEmitter.emit (events.js:191:7)
14 verbose stack     at ChildProcess.<anonymous> (C:\Users\Administrator\AppData\Roaming\npm\node_modules\npm\lib\utils\spawn.js:40:14)
14 verbose stack     at emitTwo (events.js:106:13)
14 verbose stack     at ChildProcess.emit (events.js:191:7)
14 verbose stack     at maybeClose (internal/child_process.js:877:16)
14 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
15 verbose pkgid myblog@1.0.0
16 verbose cwd D:\web-developer\myblog
17 verbose Windows_NT 10.0.10586
18 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\Administrator\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js" "run" "dev"
19 verbose node v6.9.5
20 verbose npm  v4.4.1
21 error code ELIFECYCLE
22 error errno 1
23 error myblog@1.0.0 dev: `node build/dev-server.js`
23 error Exit status 1
24 error Failed at the myblog@1.0.0 dev script 'node build/dev-server.js'.
24 error Make sure you have the latest version of node.js and npm installed.
24 error If you do, this is most likely a problem with the myblog package,
24 error not with npm itself.
24 error Tell the author that this fails on your system:
24 error     node build/dev-server.js
24 error You can get information on how to open an issue for this project with:
24 error     npm bugs myblog
24 error Or if that isn't available, you can get their info via:
24 error     npm owner ls myblog
24 error There is likely additional logging output above.
25 verbose exit [ 1, true ]

一下是cmd报错信息

clipboard.png

回复
阅读 5.9k
2 个回答

这个好像是依赖模块没有安装完,你在试下npm install看看行不行

相关模块没找到的错误:试试这个

npm install --registry=https://registry.npm.taobao.org
撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
推荐问题
宣传栏